Subject: Re: linux-next: IO BAR sizing warning

From: Jesse Barnes <[email-masked]>
Date: Thu, 11 Jun 2009 12:07:39 -0700

On Wed, 3 Jun 2009 16:49:54 +1000
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> On Wed, 6 May 2009 11:00:34 -0700 Jesse Barnes
> <[email-masked]> wrote:
> >
> > On Wed, 6 May 2009 11:41:12 -0600
> > "Wilcox, Matthew R" <[email-masked]> wrote:
> > 
> > > I think PowerPC's IO_SPACE_LIMIT is defined incorrectly.
> > > 
> > > On 64-bit, it's currently set to 0xffff'ffff'ffff'ffff.  This
> > > can't possibly work, there's no way for the PCI bus to transmit
> > > 64-bit IO-port addresses.  It should probably be defined to
> > > 
> > > 0xffffffffU
> > 
> > But yeah on a bus level it clearly needs to be limited to 32 bits,
> > but ISTR that some arches use the high resource bits for tracking
> > I/O resources on a systemwide basis (too lazy to look atm).
> > 
> > So either we need to split the definition between bus & resource
> > usage, or add a cast here...
> 
> I am still getting the original warning.  For reference, the following
> architectures will probably have the same:
> 
> ia64:		0xffffffffffffff
> powerpc:	~(0UL)
> sparc64:	0xffffffffffffffffUL

Any comments here Ben?  Seems this define is overloaded...

-- 
Jesse Barnes, Intel Open Source Technology Center